Subject: [os2genau_digest] No. 971
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 5 Nov 2004 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 04 November 2004
 Number  971
**************************************************

Subjects for today
 
1  Re:  MP3 playing : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  MP3 playing : Gavin Miller <drumextreme at impulse dot net dot au>
3   os2 - eComStation v2.0 (planned features) : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
4  Re:  MP3 playing : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 4 Nov 2004 06:29:32 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  MP3 playing

Kev said:

> At last my copy of eCS 1.2 arrived.  I understood that Chris
> Wohlgemuth's new CW-Multimedia classes were installed by default with
> v1.2.  So, my questions are 3 ...

Ken,

do you know much about them ?

I 've installed them, quite a while back, as 'it seemed like a good idea'

but, what are they supposed to do ?

I noticed, when I'm deleting files sometimes, I get this little pop up in
lower left corner saying something like 'scanning file'

I guess I should really RTFM...

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Thu, 04 Nov 2004 16:23:08 +1100
From:  Gavin Miller <drumextreme at impulse dot net dot au>
Subject:  Re:  MP3 playing

Most interesting....

I'm using the CW classes here; admitedly not with 1.2  and MP3 and OGG 
playback is fine.  However, having said that, there is a little trick to 
it.  I've found that MP3's dowloaded or copied from elsewhere have a 
plain text association instead of multimedia.  This has to be changed by 
hand in the properties notebook of each MP3 file effected.  What ever 
you do DON'T use the "Convert To" RMB menu item.  It's unreliable and 
may crash WPS (at worst).  Get rid of the plain text association and add 
digital audio, then go to the "Become" tab and change to MMAudio (or 
similar) but not WAV or WPDatafile.  Close the notbook (just to be 
sure).  To play the files when double clicking, open the properties 
notebook again and select the "Menu" tab.  Then access the "Open As" 
properties and select play as the default action.  Close the notebook.  
If you re-open the notebook you will see the files icon changes to a 
multimedia type (that may or maynot have MP3 on it.  Mine do not).  In 
anycase, check your settings to make sure thay have stuck and close the 
notebook.  From there on you can double click the file to play it though 
OS/2 (eCs) MM system.  It's a pain in the backside, but works.

Cheers
G

Kev wrote:

> Hi all
>
> At last my copy of eCS 1.2 arrived.  I understood that Chris 
> Wohlgemuth's new CW-Multimedia classes were installed by default with 
> v1.2.  So, my questions are 3 ...
>
> 1.  Is this so?
> 2.  If not, can I just install them into v1.2?
> 3.  If so, can anyone else play MP3s and OGGs?  I can't!
>
> Thanx in advance
> Kev Downes
 
>
> 

>
>
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 04 Nov 2004 16:57:45 +1100
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:   os2 - eComStation v2.0 (planned features)

Extract from bottom of web page at:-
http://www.os2irc dot org/ecomstationinfo.html

Planned features of the next version of os/2. = eCS 2.0

------------- Quote on ------------------------------------------
eComStation v2.0 (planned):
# Will introduce Security/2 integrated with a GUI that
  will provide multiple desktops with local user logon!

* Local Access rights for users for files, directories,
  and resources.

* The GUI was demo'd at WarpStock Weekend in 2003
# Encryption of files on JFS
# Bootable JFS

* Hopefully will be introduced, more testing is
  required.  JFS has had many updates from IBM that has
  greatly improved stability.

* Big cache supported by JFS
# New Boot managers: UPART & Air-Boot (IBM Bootmanager
  will still be included)
# Improvement in APM support (This is currently under
  investigation but has High Priority)
# ACPI support in conjunction with NetLabs
# Partition/Volume management using LVMPM (A new native
  GUI LVM tool)

* A limited DFSee will be integrated that will allow
  resizing of partitions (Allowing for example a
  Windows partition to be resized to make room for a
  partition for eComStation for users migrating from
  Windows to eComStation.)

# Networking: NetDrive with Samba 3.0 (if its Free) and
  a refresh of TCP/IP

# Multimedia:

* DTA (Data Transport Agent), a native MMOS/2
  (High quality Beta Testers Needed for this project!
  Testers need to provide SPECIFIC FEEDBACK! More
  information on this project can be found in the
  "Download Menu" section of the www.ecomstation dot com
  site for registered users of eComStation.)

* Will run in private memory, not shared!

* New Timer0.sys & Clock01.sys

* Replacement of IBM's audio editor with Audio Station

* PNG MMIO Codec

* RealPlayer Codec (More legal research required.
  Volunteer support needed!)

* Firewire support (Basic chipset support) iPod is
  currently reported to work with the current driver
  that is in development!

* More Drivers

* GENMAC (Supporting more network chipsets..25
  chipsets)

* LSI 320 & 320 Adaptec SCSI Out-of-box support

* SATA support (using Dani's drivers) Note: eComStation
  currently with the latest Dani's drivers supports
  more HardDrives than Windows XP!

* Further UNIAUD drivers and MIDI support

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 04 Nov 2004 19:57:09 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  MP3 playing

On Thu, 04 Nov 2004 16:23:08 +1100, Gavin Miller wrote:

Why not simply set up a general association for *.MP3?

-Chris

>Most interesting....
>
>I'm using the CW classes here; admitedly not with 1.2  and MP3 and OGG 
>playback is fine.  However, having said that, there is a little trick to 
>it.  I've found that MP3's dowloaded or copied from elsewhere have a 
>plain text association instead of multimedia.  This has to be changed by 
>hand in the properties notebook of each MP3 file effected.  What ever 
>you do DON'T use the "Convert To" RMB menu item.  It's unreliable and 
>may crash WPS (at worst).  Get rid of the plain text association and add 
>digital audio, then go to the "Become" tab and change to MMAudio (or 
>similar) but not WAV or WPDatafile.  Close the notbook (just to be 
>sure).  To play the files when double clicking, open the properties 
>notebook again and select the "Menu" tab.  Then access the "Open As" 
>properties and select play as the default action.  Close the notebook.  
>If you re-open the notebook you will see the files icon changes to a 
>multimedia type (that may or maynot have MP3 on it.  Mine do not).  In 
>anycase, check your settings to make sure thay have stuck and close the 
>notebook.  From there on you can double click the file to play it though 
>OS/2 (eCs) MM system.  It's a pain in the backside, but works.
>
>Cheers
>G
>
>Kev wrote:
>
>> Hi all
>>
>> At last my copy of eCS 1.2 arrived.  I understood that Chris 
>> Wohlgemuth's new CW-Multimedia classes were installed by default with 
>> v1.2.  So, my questions are 3 ...
>>
>> 1.  Is this so?
>> 2.  If not, can I just install them into v1.2?
>> 3.  If so, can anyone else play MP3s and OGGs?  I can't!
>>
>> Thanx in advance
>> Kev Downes
> 
>>
>> 
>
>>
>>

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------